0

After installing Ves Image Slider on my magento 2.3 project, my backend WYSIWYG stops running on block edit page . and gives error of require.js like given below. When i disable the module, it works fine.

enter image description here

  • Its giving 500 that means here is error just enable error from app/bootstrap.php uncomment that line ini_set('display_errors', 1); then check again. – Ansar Husain Apr 25 at 10:58
  • try to redeploy static view files for adminhtml area – fmsthird Apr 25 at 11:02
2

Your installed Ves Extension is not compatible with magento 2.3, hence you should upgrade it to latest version. Magento older versions has tinymce 3 and its js file was defined as tinymce in requirejs-config.js file, but in Magento 2.3 have used latest tinymce version and defined with as tinymce4 in requirejs-config.js file. so you have to change defined keyword in ves extension where is tinymce.

0

You are getting this error because Ves Image slider use TinyMCE 3 but Magento2.3 use TinyMCE 4.

You may stop using any TinyMCE code for VES Slider but you if you do that WYSIWYG editor for Ves Slider under Widget will not work (see attached image).

enter image description here

I know the solution I provided here is not the best solution but to make WYSIWYG editor workable for other Admin areas (like CMS Pages, Blocks, etc ) you may follow below steps.

step 1) open the file default.xml under MAGENTO-ROOT/app/code/Ves/ImageSlider/view/adminhtml/layout

Update FIle default.xml

<?xml version="1.0"?>
<!--
/**
 * Venustheme
 * 
 * NOTICE OF LICENSE
 * 
 * This source file is subject to the Venustheme.com license that is
 * available through the world-wide-web at this URL:
 * http://www.venustheme.com/license-agreement.html
 * 
 * DISCLAIMER
 * 
 * Do not edit or add to this file if you wish to upgrade this extension to newer
 * version in the future.
 * 
 * @category   Venustheme
 * @package    Ves_Productlist
 * @copyright  Copyright (c) 2014 Venustheme (http://www.venustheme.com/)
 * @license    http://www.venustheme.com/LICENSE-1.0.html
 */
-->
<page xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="../../../../../../../lib/internal/Magento/Framework/View/Layout/etc/page_configuration.xsd">
    <head>
        <css src="Ves_ImageSlider::css/styles.css" />
    </head>
    <update handle="editor"/>
    <body>
        <referenceContainer name="js">
<block class="Magento\Framework\View\Element\Template" template="Ves_ImageSlider::wysiwyg/js.phtml" name="imageslider.wysiwyg.js"/>
        </referenceContainer>
    </body>
</page>

with

<?xml version="1.0"?>
<!--
/**
 * Venustheme
 * 
 * NOTICE OF LICENSE
 * 
 * This source file is subject to the Venustheme.com license that is
 * available through the world-wide-web at this URL:
 * http://www.venustheme.com/license-agreement.html
 * 
 * DISCLAIMER
 * 
 * Do not edit or add to this file if you wish to upgrade this extension to newer
 * version in the future.
 * 
 * @category   Venustheme
 * @package    Ves_Productlist
 * @copyright  Copyright (c) 2014 Venustheme (http://www.venustheme.com/)
 * @license    http://www.venustheme.com/LICENSE-1.0.html
 */
-->
<page xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="../../../../../../../lib/internal/Magento/Framework/View/Layout/etc/page_configuration.xsd">
    <head>
        <css src="Ves_ImageSlider::css/styles.css" />
    </head>
    <update handle="editor"/>
    <body>
        <referenceContainer name="js">
            <!--<block class="Magento\Framework\View\Element\Template" template="Ves_ImageSlider::wysiwyg/js.phtml" name="imageslider.wysiwyg.js"/>-->
        </referenceContainer>
    </body>
</page>

step 2: Rename the file requirejs-config.js to requirejs-config.js__ under MAGENTO-ROOT/app/code/Ves/ImageSlider/view/adminhtml/

Step 3: Clear Magento Cache and remove static files.

php bin/magento cache:flush

sudo rm -rf var/view_preprocessed/*
sudo rm -rf var/pub/static/*
sudo rm -rf var/generated
sudo rm -rf var/composer_home
sudo rm -rf var/page_cache
sudo rm -rf var/view_preprocessed
sudo rm -rf pub/static/frontend/*
sudo rm -rf pub/static/adminhtml/*
0

A quick fix to the issue to to change the default editor inside magento to tinymce3:

Config -> General -> Content Management

This will at least get the editor working for you.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.